Latest 1.1.1
Homepage https://github.com/nmdias/IrisKit
License MIT
Platforms ios 8.0, osx 10.9, tvos 9.0
Authors

FeedParser

An RSS/Atom feed parser

Build Status
Carthage compatible
CocoaPods Compatible
Platform

Requirements

  • iOS 8.0+ / Mac OS X 10.9+ / tvOS 9.0+
  • Xcode 7.3+

Installation

CocoaPods

CocoaPods is a dependency manager for Swift and Objective-C Cocoa projects. You can install it with the following command:

$ gem install cocoapods

To integrate FeedParser into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '8.0'
use_frameworks!

target 'MyApp' do
  pod 'FeedParser', '~> 1.1'
end

Then, run the following command:

$ pod install

Carthage

Carthage is a dependency manager that builds your dependencies and provides you with binary frameworks.

To install Carthage with Homebrew use the following command:

$ brew update
$ brew install carthage

To integrate FeedParser into your Xcode project using Carthage, specify it in your Cartfile:

github "nmdias/FeedParser" ~> 1.1

Build the framework:

$ carthage update

Then, drag the built FeedParser.framework into your Xcode project.

License

FeedParser is released under the MIT license. See LICENSE for details.

Latest podspec

{
    "name": "IrisKit",
    "version": "1.1.1",
    "license": "MIT",
    "summary": "An RSS/Atom feed parser",
    "homepage": "https://github.com/nmdias/IrisKit",
    "authors": {
        "Nuno Manuel Dias": "[email protected]l.com"
    },
    "source": {
        "git": "https://github.com/nmdias/IrisKit.git",
        "tag": "1.1.1"
    },
    "platforms": {
        "ios": "8.0",
        "osx": "10.9",
        "tvos": "9.0"
    },
    "source_files": "Sources/**/*.swift"
}

Pin It on Pinterest

Share This